package de.w665.biblenotes.db.entity;

import jakarta.persistence.*;
import lombok.*;

@Entity
@Table(name = "user_statistics")
@Getter
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class UserStatistics {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ManyToOne
    @JoinColumn(name = "user_id", nullable = false)
    private User user;

    @ManyToOne
    @JoinColumn(name = "current_book_id")
    private BibleBook currentBook;

    @Column(name = "current_chapter_id")
    private Long currentChapterId;

    @ManyToOne
    @JoinColumn(name = "bible_reading_plan_id")
    private BibleReadingPlan bibleReadingPlan;
}
