package de.w665.biblenotes.rest.security;

import lombok.Getter;
import org.springframework.security.authentication.AbstractAuthenticationToken;
import org.springframework.security.core.GrantedAuthority;

import java.util.Collection;

public class JwtAuthenticationToken extends AbstractAuthenticationToken {

    private final UserAuthenticationContext principal;
    @Getter
    private final String token;

    public JwtAuthenticationToken(UserAuthenticationContext principal, String token, Collection<? extends GrantedAuthority> authorities) {
        super(authorities);
        this.principal = principal;
        this.token = token;
        super.setAuthenticated(true);
    }

    @Override
    public Object getCredentials() {
        return "Credentials are not stored.";
    }

    @Override
    public UserAuthenticationContext getPrincipal() {
        return this.principal;
    }
}
